Bug 584610 - installing control-center-extra breaks nautilus
Summary: installing control-center-extra breaks nautilus
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-22 01:58 UTC by Alan Bruce
Modified: 2010-11-03 20:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-03 20:06:44 UTC
Type: ---


Attachments (Terms of Use)

Description Alan Bruce 2010-04-22 01:58:07 UTC
Description of problem:

After installing control-center-extra with yum, after reboot nautilus tries to spawn unsuccessfully and indefinitely until it crashes.

Other menus and functions remain accessible, but the gnome panel is filled with "Starting file manager" entries.


Version-Release number of selected component (if applicable):
control-center-extra-1:2.28.1-18.fc12.i686

Dependencies updated :
control-center-1:2.28.1-18.fc12.i686
control-center-filesystem-1:2.28.1-18.fc12.i686
gnome-desktop-2.28.2-5.i686

How reproducible:
yum install control-center-extra

Steps to Reproduce:
1.yum install control-center-extra
2.
3.
  
Actual results: 

Breaks nautilus

Expected results: 

Doesn't break nautilus !

Additional info:
Fixable by :

yum erase control-center-extra

yum downgrade control-center control-center-filesystem gnome-desktop


This was reported on linuxquestions.org and I reproduced it in a vmware image.
I posted the fix after testing.
http://www.linuxquestions.org/questions/fedora-35/nautilus-crash-after-control-center-extra-rpm-package-installation-803405/

Comment 1 Alan Bruce 2010-04-23 22:34:21 UTC
Update:

The problem quoted was am issue with something, but the range is so wide it isn't worth worrying about.

after updating everything to current, the control-center-extra package installs with no issues, on my system.

waiting for feedback on other systems now.

No panic.

Comment 2 Bug Zapper 2010-11-03 16:36:18 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Alan Bruce 2010-11-03 20:06:44 UTC
I didn't have an issue with this, others did and I found a way out (for them). Regard this as an issue with conflicts between trying to install and broken packages. As I mentioned, it worked if you updated fully before the install.

I'm closing this ticket.

Regards

Alan


Note You need to log in before you can comment on or make changes to this bug.